ranges::views::trim_base_fn Struct Reference
Inheritance diagram for ranges::views::trim_base_fn:

## Public Member Functions

template<typename Rng , typename Pred , typename Proj >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&bidirectional_range< Rng > &&indirect_unary_predicate< composed< Pred, Proj >, iterator_t< Rng >> &&common_range< Rng >) ccconstexpr trim_view< all_t< Rng >
template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&bidirectional_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >> &&common_range< Rng >) ccconstexpr trim_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const
CPP_TEMPLATE_AUX_0 composed< Pred, Proj > | operator() (Rng &&rng, Pred pred, Proj proj) const